Qt Reference Documentation

# Qt 3 Support Members for QContextMenuEvent

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QContextMenuEvent class reference

## Public Functions

| QContextMenuEvent ( Reason reason, const QPoint & pos, const QPoint & globalPos, int dummy )
| QContextMenuEvent ( Reason reason, const QPoint & pos, int dummy )
Qt::ButtonState | state () const

## Member Function Documentation

### QContextMenuEvent::QContextMenuEvent ( Reason reason, const QPoint & pos, const QPoint & globalPos, int dummy )

Constructs a context menu event with the given reason for the position specified by pos in widget coordinates and globalPos in global screen coordinates. dummy is ignored.

### QContextMenuEvent::QContextMenuEvent ( Reason reason, const QPoint & pos, int dummy )

Constructs a context menu event with the given reason for the position specified by pos in widget coordinates. dummy is ignored.

### Qt::ButtonState QContextMenuEvent::state () const

Returns the button state (a combination of mouse buttons and keyboard modifiers) immediately before the event was generated.

The returned value is a selection of the following values, combined with the OR operator: Qt::LeftButton, Qt::RightButton, Qt::MidButton, Qt::ShiftButton, Qt::ControlButton, and Qt::AltButton.